/************************************************************************
*																		*
*	XTNDPictTranslator.h												*
*																		*
*	Header file for PICT import translator.								*
*																		*
*	Copyright  1989-91 Claris Corporation								*
*	All Rights Reserved													*
*																		*
************************************************************************/

#ifndef __XTNDPICTTRANSLATOR__
#define __XTNDPICTTRANSLATOR__

#include "XTNDInterface.h"

/* Defines for Directive to be passed to picture import translators */

#define	importGetPict	1
#define importGetEPSF	2


/* This is the parameter block for passing information to a picture import translator */

struct PictImportParmBlk
{
	OSErr			result;			/* Return code, 0 if successful, error code otherwise */
	short			dataRefNum;		/* Reference number of the data fork to be read by the translator */
	short			resRefNum;		/* Reference number of the resource fork to be read by the translator */
	PicHandle		thePicture;		/* Handle to the picture to be read */
	short			directive;		/* Indicates the action to be performed */
	Handle			dataHandle;		/* Handle to additional data */
	SFReply			theReply;		/* Standard reply record describing the file being translated */
	TransDescribe	thisTranslator;	/* TransDescribe record describing this translator */
};
typedef struct PictImportParmBlk  PictImportParmBlk;
typedef PictImportParmBlk *PictImportParmBlkPtr;

#endif