(************************************************************************
*																		*
*	XTNDPictTranslator.p												*
*																		*
*	Header file for PICT import translator.								*
*																		*
*	Copyright  1988-91 Claris Corporation								*
*	All Rights Reserved													*
*																		*
************************************************************************)

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
    UNIT XTNDPictTranslator;
    INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingXTNDPictTranslator}
{$SETC UsingXTNDPictTranslator := 1}

{$I+}
{$SETC XTNDPictTranslatorIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}
{$IFC UNDEFINED UsingXTNDInterface}
{$I XTNDInterface.p}
{$ENDC}
{$SETC UsingIncludes := XTNDPictTranslatorIncludes}


CONST
{ Defines for Directive to be passed to picture import translators }
	importGetPict	= 1;
	importGetEPSF	= 2;

TYPE
{ This is the parameter block for passing information to a picture import translator }
	PictImportParmBlkPtr = ^PictImportParmBlk;
	PictImportParmBlk	 = RECORD
			result			: OSErr;			{ Return code, 0 if successful, error code otherwise }
			dataRefNum		: INTEGER;		{ Reference number of the data fork to be read by the translator }
			resRefNum		: INTEGER;		{ Reference number of the resource fork to be read by the translator }
			thePicture		: PicHandle;		{ Handle to the picture to be read }
			directive		: INTEGER;		{ Indicates the action to be performed }
			dataHandle		: Handle;			{ Handle to additional data }
			theReply		: SFReply;		{ Standard reply record describing the file being translated }
			thisTranslator	: TransDescribe;	{ TransDescribe record describing this translator }
		END;


{$ENDC}    { UsingXTNDPictTranslator }

{$IFC NOT UsingIncludes}
    END.
{$ENDC}

